
ThreatFactor NSIA - Bug #207

Scanner Error Due to Failed SMTP Connection

09/30/2010 12:45 AM - Luke Murphey

Status: Closed Start date: 09/30/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0 (Release)   

Description

When I try to scan http://www.msc247.com the following error is logged in the event log:

Event System: Non-fatal internal error Severity Error Date 08 Sep 2010 10:16:36 BST Notes stack_trace =

"java.lang.IllegalStateException: Not connected com.sun.mail.smtp.SMTPTransport.checkConnected(SMTPTransport.java:1664) at

com.sun.mail.smtp.SMTPTransport.sendMessage(SMTPTransport.java:590) at

net.lukemurphey.nsia.GenericUtils.sendMail(GenericUtils.java:352) at

net.lukemurphey.nsia.GenericUtils.sendMail(GenericUtils.java:238) at

net.lukemurphey.nsia.response.EmailAction.execute(EmailAction.java:41) at

net.lukemurphey.nsia.eventlog.SiteGroupStatusEventLogHook.processEvent(SiteGroupStatusEventLogHook.java:64) at

net.lukemurphey.nsia.eventlog.EventLog.logEvent(EventLog.java:616) at

net.lukemurphey.nsia.eventlog.EventLog.logEvent(EventLog.java:586) at

net.lukemurphey.nsia.Application.logEvent(Application.java:1263) at

net.lukemurphey.nsia.ScanCallback.logScanResult(ScanCallback.java:122) at

net.lukemurphey.nsia.ScanCallback.logScanResult(ScanCallback.java:148) at

net.lukemurphey.nsia.ScanCallback.logScanResult(ScanCallback.java:58) at

net.lukemurphey.nsia.scan.ScanRule.logScanResult(ScanRule.java:142) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.logSignatureScanResult(HttpSeekingScanRule.java:851) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.doScan(HttpSeekingScanRule.java:830) at

net.lukemurphey.nsia.Scanner.doScan(Scanner.java:162) at net.lukemurphey.nsia.Scanner.run(Scanner.java:125)"

[Return to Event Log List]

What is strange is that I am scanning 3 other sites with no problems but this one site simply wont scan, you see it trying to start then

it just stops.

Any help much appreciated.

History

#1 - 09/30/2010 12:45 AM - Luke Murphey

Ticket was transferred from https://threatfactor.com/Support/Ticket/235.

#2 - 09/30/2010 12:47 AM - Luke Murphey

- Target version set to 1.0 (Release)

Problem is that SMTP transport is not connected, likely due to an incorrect email configuration or transient network connection.

This should not be preventing a successful scan even if the configuration is wrong. Therefore, this is considered a bug.

#3 - 09/30/2010 12:50 AM - Luke Murphey

Fix implemented in r775.

#4 - 10/01/2010 04:04 PM - Luke Murphey

- % Done changed from 0 to 90

#5 - 10/01/2010 04:45 PM - Luke Murphey

05/03/2024 1/2

http://www.msc247.com
https://threatfactor.com/Support/Ticket/235


- Status changed from New to Closed

- % Done changed from 90 to 100

Tested and confirmed as working
